<?php
//<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
//sigurnost:
if (!defined('SIGURICA')) die('Nedozvoljen pristup!');
if ($prava_pristup_sadrzaj!=1) die('Nedozvoljen pristup!');

// list expected fields
$expected = array('id_str','q_naslov','q_prikaznaslov','q_centar','q_published',
				  'q_tekst','q_opis','new_datum','q_model',
				  'q_thumb_sirina','q_thumb_visina','q_big_sirina','q_big_visina','q_maxpic');
// set req_uired fields
$required = array('id_str');
// create empty array for any missing fields
$missing = array();

// process the $_POST variables
foreach ($_POST as $key => $value) {
	// assign to temporary variable and strip whitespace if not an array
	$temp = is_array($value) ? $value : trim($value);
	// if empty and required, add to $missing array
	if (empty($temp) && in_array($key, $required)) {
		array_push($missing, $key);
	}
	// otherwise, assign to a variable of the same name as $key
	elseif (in_array($key, $expected)) {
		${$key} = $temp;
		//${$key} = mysql_real_escape_string($temp);
	}
}
$error='';
$uspjeh='';
if (empty($missing))  {
	//nova pozicija
	$sql99 = "select pozicija from b7_paragraf where id_sadrzaj='$id_str' order by pozicija desc limit 1";
	$rez99=mysql_query($sql99,$conn);
	if ($rez99) {
		$row99=mysql_fetch_array($rez99);
		$pozicija=$row99[0];
		$pozicija++;
	}
	
	//insert new data in database
	//uredi tekst
	$q_naslov=uredi_var($q_naslov);
	$q_opis=uredi_var($q_opis);
	$published=1; 
	$html_center=0; //ovo je centriranje php / html koda
	if ($q_model==8 || $q_model==7) {
		$q_thumb_sirina='0';
		$q_thumb_visina='0';
		$q_big_sirina='0';
		$q_big_visina='0';
		$q_maxpic='0';
		
		if ($q_centar==1) $html_center=1; //ovo je centriranje php / html koda
	} 
	
	$new_fajl='';
	
	//pripremi za unos u bazu
	$q_naslov_mysql=mysql_real_escape_string($q_naslov);
	$q_opis_mysql=mysql_real_escape_string($q_opis);
		
	$result = mysql_query("insert into b7_paragraf values (
							'',
							'$id_str',
							'$id_kat',
							'$id_rub',
							'$q_naslov_mysql',
							'$q_opis_mysql',
							'$new_fajl',
							'$q_thumb_sirina',
							'$q_thumb_visina',
							'$q_big_sirina',
							'$q_big_visina',
							'$q_model',
							'$q_maxpic',
							'$q_prikaznaslov',
							'$pozicija',
							'$log_username',
							now(),			
							'$q_published',
							'$html_center'
							 )");
	if (!$result) {
		$error.='Dogodila se greška pri zapisu u bazu: '.mysql_error();
	} else {
		$uspjeh.='Uspješno je dodan novi paragraf u bazu<br />';
		$id_paragraf = mysql_insert_id();
		
		
		if ($q_prikaznaslov==1) {
			$tekst_novi='<h2>'.$q_naslov.'</h2>'."\r\n";
		} else {
			$tekst_novi='';
		}
		
		if ($q_model==8) {
			$new_fajl = 'sadrzaj_' . $id_str . '_' . $id_paragraf . '.php';
			if ($q_centar==1) $tekst_novi.='<center>'."\r\n";
			$tekst_novi.=$q_tekst;
			if ($q_centar==1) $tekst_novi.="\r\n".'</center>';		
			
		} else if ($q_model==7) {
			$new_fajl = 'sadrzaj_' . $id_str . '_' . $id_paragraf . '.html';			
			$q_tekst='';
		} else {
			//generiraj tekst
		  	$new_fajl = 'sadrzaj_' . $id_str . '_' . $id_paragraf . '.html';
		  	if ($q_model<7) {
		  		$tekst_novi.='<div class="tekst">'.$parametar_inc_tekst.'</div>';
		  		$q_tekst=$parametar_inc_tekst;
			} 
			
		}
		
		$result = mysql_query("update  b7_paragraf set
			fajl='$new_fajl'
			where id_paragraf='$id_paragraf'");
	
		//spremi tekst u bazu
		//pripremi za unos u bazu
		$q_tekst_mysql=mysql_real_escape_string($q_tekst);
	
		$result = mysql_query("insert into b7_paragraf_tekst values
						 ('$id_paragraf', '$id_str', '$id_kat', '$id_rub', '$q_tekst_mysql', '$log_username', now() )");
		//spremi tekst u fajl
		$file2open = $parametar_tekst_direktorij . $new_fajl;
		if (!$listfile = fopen($file2open, 'w'))
		{
			echo 'dogodila se gre&#353;ka prilikom zapisivanja teksta u fajl.';
			$greska = 1;
		} else
		{
			fwrite($listfile, $tekst_novi);
			if (!fclose($listfile))
			{
				echo 'dogodila se gre&#353;ka prilikom zapisivanja teksta u fajl.';
				$greska = 1;
			}
		}
		
		
	}				
	
	
	

} else {
	$error.='Nisu prosljeđene sve varijable potrebne za kreaciju zapisa u bazi';
}
?>
<div id="main_content">
<h1>Spremanje sadržaja u bazu</h1>
<?php
if ($error) echo '<div class="greska">'.$error.'</div>';
if ($uspjeh) echo '<div class="uspjeh">'.$uspjeh.'</div>';
?>
<br /><br />
<a href="glavna.php?modul=<?php echo $modul;?>&amp;akcija=display_paragrafi&amp;id_rub=<?php echo $id_rub;?>&amp;id_kat=<?php echo $id_kat;?>&amp;id_str=<?php echo $id_str;?>">Povratak...</a>
</div>